API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

POST
/applications/{uuid}/storages

Create a persistent storage or file storage for an application.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

UUID of the application.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

type*string

The type of storage.

Value in"persistent" | "file"
name?string

Volume name (persistent only, required for persistent).

mount_path*string

The container mount path.

host_path?string

The host path (persistent only, optional).

content?string

File content (file only, optional).

is_directory?boolean

Whether this is a directory mount (file only, default false).

fs_path?string

Host directory path (required when is_directory is true).

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.coolify.io/api/v1/applications/string/storages" \  -H "Content-Type: application/json" \  -d '{    "type": "persistent",    "mount_path": "string"  }'
{}
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}